SAXONICA

Saxon Documentation
Full Contents
About Saxon
Changes in this Release
Notices
Using XSLT 2.0
Using XQuery
Handling Source Documents
XML Schema Processing
XPath API for Java
Saxon on .NET
Extensibility
Saxon Extensions
Sample Saxon Applications
The Saxon SQL Extension
XSLT Elements
XPath 2.0 Expression Syntax
Function Library
Standards Conformance

# fn:substring-after

fn:substring-after( string? $operand1, string? $operand2) → string?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
Result | xs:string ?

Returns that part of the given input string that occurs after the first occurrence of the string given in $operand2

XPath 2.0 Specification

fn:substring-after( string? $operand1, string? $operand2, string $collation) → string?

Function signature

$operand1 | xs:string ?
$operand2 | xs:string ?
$collation | xs:string
Result | xs:string ?

Returns that part of the given input string that occurs after the first occurrence of the string given in $operand2, using the given collation to compare strings

XPath 2.0 Specification

Next